Subject: Re: bug#59141: 28.1.90; Face :extend when all the line but trailing \n is invisible

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Nov 2022 09:10:29 +0200

> From: Kévin Le Gouguec <[email-masked]>
> Cc: Ihor Radchenko <[email-masked]>,  [email-masked]
> Date: Wed, 09 Nov 2022 23:19:42 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I said many times that people shouldn't willy-nilly use the :extent
> > attribute, just because it looks cooler in some situation.  The intent
> > was and still is for faces not to have this attribute set, with very
> > few very special exceptions, like the 'region' face.  But people don't
> > listen...
> 
> FWIW, my motivation for setting :extend on outline headings doesn't stem
> from aesthetics.
> 
> Clearly delineating "sections" with colored backgrounds that span the
> whole window width is a neat visual aid, IME;

Do you see a contradiction between the last two sentences?  Aren't
"neat visual aid" and "aesthetics" synonyms?

> So this "visual aid" aspect is why I suspect reporters think being able
> to :extend outline heading backgrounds is about as desirable as
> :extending the hl-line or region faces, and it's a shame it breaks down
> when folding.

My suggestion is to use "other means" for such cues.  Especially if
you want to have that in modes that hide text, such as Org.  The
:extend attribute wasn't intended to support this usage.

> It's not a critical feature to be missing, and that motivation does not
> invalidate the implementation challenges you highlight.  I just wanted
> to spell this point out FTR, as I didn't feel "it looks cooler" conveyed
> it quite as convincingly 🙂

I don't see the difference, really.  "Cool" isn't a derogatory
adjective, or at least I didn't mean it to be so.